/**
  *  \file featureset.h
  *  \brief FeatureSet class declaration
  *  \author Stefan Reuther
  */
#ifndef FEATURESET_H_INCLUDED
#define FEATURESET_H_INCLUDED

#include <string>
#include <set>

/** Management of feature sets. A feature set is a set of keywords. 
    This class provides parsing, formatting, querying and management
    of feature sets.  */
class FeatureSet {
    std::set<std::string> m_Features;

 public:
    FeatureSet();

    FeatureSet(std::string s);

    void assignFromString(std::string s);

    std::string toString() const;

    bool contains(std::string what) const;

    void add(std::string what);
};

#endif
